Subject: Select returns (-1) for STDIN_FILENO
From: [email-masked] (Ben Castrogiovanni)

17 Dec 1996 12:33:28 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.0Gold (X11; I; SunOS 5.5.1 sun4m)
Original-To: [email-masked]
Original-Sender: [email-masked]

I have a simple piece of code that works fine for most flavors of UNIX. 
It basically uses select to wait for input either from STDIN or from a
UDP socket.  When I try to run on NT, compiled using beta 17 of gnu-win
tools, I have the following results.  The select immediately returns
(-1).  If I modify the code to only select from the UDP socket (and not
STDIN), it works fine.  For some reason, the select on STDIN always
immediately returns (-1).

Anybody have any ideas ?

Thanks in advance.

-- 
Ben Castrogiovanni
Director of Development
Casabyte

PHONE: (206) 254-9925
FAX:   (206) 254-9926
EMAIL: [email-masked]
WEB:   http://www.casabyte.com
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".